%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Thesis title: Underwater Camera Calibration and 3D Reconstruction
% http://hdl.handle.net/10402/era.38695
% Author: Timothy Yau
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [calibFile, imgName, camID, imgFile] = getIntrinsicCalib(imageSpec)
    calibFilePrefix = '../calib/intrinsic/';
    calibFilePostfix = '/Calib_Results.mat';
    
    imgFile = strtok(imageSpec, ' ');
    imgName = imgFile(3:end-4);
  
    [token, remain] = strtok(imgName, '_');
    camID = remain(2:end);
  
    calibFile = [calibFilePrefix camID calibFilePostfix];
    