################################################################################
# Thesis title: Underwater Camera Calibration and 3D Reconstruction
# http://hdl.handle.net/10402/era.38695
# Author: Timothy Yau
################################################################################

../../../bundler-refrac/RunBundler.sh
rm -fr prepare
rm sift.txt
rm list_tmp.txt
rm constraints.txt
rm list_keys.txt
rm matches.corresp.txt
rm matches.prune.txt
rm matches.ransac.txt
rm nmatches.corresp.txt
rm nmatches.prune.txt
rm nmatches.ransac.txt
rm options.txt
rm pairwise_scores.txt

for file in ./*.key.gz ; do         
  if [ -e "$file" ] ; then   
     cp "$file" "$file.orig"
  fi
done

