%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Thesis title: Underwater Camera Calibration and 3D Reconstruction
% http://hdl.handle.net/10402/era.38695
% Author: Timothy Yau
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function removeRefracData(bundleFileIn, bundleFileOut)
    [numCams, F, K, R, T, N, Mu, D] = readBundleCams(bundleFileIn);
    [X, Color, KeyIdx, KeyCoord] = readBundlePoints(bundleFileIn);
    
    N(:) = 0;
    for i=1:numCams
        Mu{i} = [];
        D{i} = [];
    end
    
    printBundleCamsPoints(bundleFileOut, numCams, F, K, R, T, N, Mu, D, X, Color, KeyIdx, KeyCoord);
